# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'yieldhelper/version'

Gem::Specification.new do |spec|
  spec.name          = "yieldhelper"
  spec.version       = Yieldhelper::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]

  spec.summary       = %q{Enables a one-liner to return an Enumerator instance from a yielding method.}
  spec.description   = %q{Extends standard Enumerator with a "enumerate_yields" method. 
Just add a one-liner piece of code to your yield method and your method can be called with or without a block.
Recursion and some meta-magic greatly reduce coding.}
  # spec.homepage      = "http://bdlsys.com/gems/yield_helper.html"
  spec.homepage      = ""
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "http://rubygems.org"
  #else
  #  raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  # uncomment to debug
  # spec.add_development_dependency 'byebug', ">= 5.0.0"  
end
